MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000323SoldatGraphicspublic2013-06-18 14:232015-04-15 19:28
Reporterrzaba 
Assigned ToShoozza 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Platformx86OSWindowsOS Version7
Product Version1.6.3 
Target VersionFixed in Version1.6.9 
Summary0000323: Starting single player game a few times causes FPS drop
DescriptionWhen you start a single player game a few times you can notice a slight FPS drop. This makes the game unplayable on slower computers.
Steps To ReproduceOpen Soldat and start a single player game. Leave it and start a new single player game. After doing this about 4/5 times you will notice that the frame rate is lower than usual.
Additional InformationIn my case the frame rate changes from 60 fps to ~40 fps. If you have a fast computer, you will have to disable FPS limit or set it to a higher value in the soldat config (on a fast computer Soldat runs at let's say 200 fps; if you try to reproduce this bug, the frame rate should change to about 170-180 fps; if you enable the FPS limit, you won't notice any difference, unless you set the FPS limit to a higher value than the default (60 fps)). Restarting Soldat will solve the problem.
TagsNo tags attached.
Attached Files

- Relationships
related to 0000160resolvedShoozza High CPU usage when quitting while map chages and rejoining 
related to 0000333resolvedShoozza Memory crash 
related to 0000520resolvedShoozza Stacking CPU when entering/exiting games 

-  Notes
(0001750)
Shoozza (administrator)
2013-07-07 20:01

Does this also happen in 1.6.3?
Or is this a new bug which was introduced in 1.6.4 beta/release candidate versions?
(0001754)
SyavX (reporter)
2013-07-07 20:38

Reproduced this in 1.6.4RC2 and 1.6.3
FPS drop is a side effect of high CPU usage "jump" that started after few (it was 4th for me) rejoin into single player game (there were 2-3 bot ingame).

CPU load stays high even after quitting into main menu.

Tested with windowed mode only (may test with fullscreen later).
(0001764)
SyavX (reporter)
2013-07-16 21:32

Reproduced this in 1.6.4RC3 too
(0001923)
SyavX (reporter)
2013-09-13 23:51

Reproduced this in 1.6.6 beta1 too...

- Issue History
Date Modified Username Field Change
2013-06-18 14:23 rzaba New Issue
2013-06-25 13:51 Falcon Status new => acknowledged
2013-07-07 20:01 Shoozza Note Added: 0001750
2013-07-07 20:37 Bistoufly Status acknowledged => confirmed
2013-07-07 20:37 Bistoufly Product Version 1.6.4rc2 => 1.6.3
2013-07-07 20:38 SyavX Note Added: 0001754
2013-07-07 20:43 Bistoufly Relationship added related to 0000160
2013-07-16 21:32 SyavX Note Added: 0001764
2013-07-31 10:52 skoskav Relationship added related to 0000333
2013-07-31 10:55 skoskav Relationship deleted related to 0000160
2013-09-13 23:51 SyavX Note Added: 0001923
2014-02-15 11:16 skoskav Relationship added related to 0000520
2014-04-02 15:50 homerofgods Relationship added related to 0000160
2014-05-02 11:31 homerofgods Category Gameplay => Graphics
2015-04-15 19:28 Shoozza Status confirmed => resolved
2015-04-15 19:28 Shoozza Fixed in Version => 1.6.9
2015-04-15 19:28 Shoozza Resolution open => fixed
2015-04-15 19:28 Shoozza Assigned To => Shoozza


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker